Pkgcheck Warnings

  • All Versions
    • UnstableOnly
      for arches: [ amd64, x86 ], all versions are unstable: [ 0.12.3-r1 ]
  • 0.12.3-r1
    • DistutilsNonPEP517Build
      uses deprecated non-PEP517 build mode, please switch to DISTUTILS_USE_PEP517=...
    • ExcessiveLineLength
      excessive line length (over 120 characters) on line: 14
    • OutdatedBlocker
      outdated blocker RDEPEND="!<app-vim/editorconfig-vim-0.3.3-r1": last match removed 6.24 years ago
    • PythonGHDistfileSuffix
      GitHub archive 'editorconfig-core-py-0.12.3.tar.gz' ('https://github.com/editorconfig/editorconfig-core-py/archive/v0.12.3.tar.gz') is not using '.gh.tar.gz' suffix

Pkgcheck is used regularly to generate QA reports. Pkgcheck is a pkgcore-based QA utility for ebuild repos.